imult64(3)

NAME
imult64 - integer multiplication with overflow checking

SYNTAX
#include <libowfat/safemult.h> int imult64(int64 a,int64 b,int64* c);

DESCRIPTION
imult64 does c=a*b and returns 1. In case of an integer overflow, imult64 leaves c alone and returns 0.

SEE ALSO
imult16(3), imult32(3), umult64(3)